Problemi con Eviacam su ubuntu 14.04

Software per utenti con disabilità visive e/o motorie (Orca, Dasher, ecc.).

Problemi con Eviacam su ubuntu 14.04

Messaggioda vioma » domenica 18 gennaio 2015, 18:13

Come da titolo ho problemi a caricare il programma "Eviacam".
La settimana scorsa ho installato il programma ad una famiglia con figlio disabile, ma non sono riuscito a fare partire il programma.
Ho provato pure a installarlo sul mio portatile, ma nulla.
Ho seguito questa procedura:
Codice: Seleziona tutto
sudo add-apt-repository ppa:cesar-crea-si/eviacam
sudo apt-get update
sudo apt-get install eviacam

Codice: Seleziona tutto
sudo apt-get install eviacam
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
I seguenti pacchetti saranno inoltre installati:
  wx2.8-i18n
I seguenti pacchetti NUOVI saranno installati:
  eviacam wx2.8-i18n
0 aggiornati, 2 installati, 0 da rimuovere e 46 non aggiornati.
È necessario scaricare 0 B/6.090 kB di archivi.
Dopo quest'operazione, verranno occupati 11,0 MB di spazio su disco.
Continuare? [S/n] s
Preconfigurazione dei pacchetti in corso
Selezionato il pacchetto eviacam non precedentemente selezionato.
(Lettura del database... 401813 file e directory attualmente installati.)
Preparativi per estrarre .../eviacam_2.0.1-1ubuntu1~trusty_i386.deb...
Estrazione di eviacam (2.0.1-1ubuntu1~trusty)...
Selezionato il pacchetto wx2.8-i18n non precedentemente selezionato.
Preparativi per estrarre .../wx2.8-i18n_2.8.12.1+dfsg-2ubuntu2_all.deb...
Estrazione di wx2.8-i18n (2.8.12.1+dfsg-2ubuntu2)...
Elaborazione dei trigger per gnome-menus (3.10.1-0ubuntu2)...
Elaborazione dei trigger per desktop-file-utils (0.22-1ubuntu1)...
Elaborazione dei trigger per bamfdaemon (0.5.1+14.04.20140409-0ubuntu1)...
Rebuilding /usr/share/applications/bamf-2.index...
Elaborazione dei trigger per mime-support (3.54ubuntu1)...
Configurazione di eviacam (2.0.1-1ubuntu1~trusty)...
Configurazione di wx2.8-i18n (2.8.12.1+dfsg-2ubuntu2)...

Dopo lanciato il comando da terminale
Codice: Seleziona tutto
eviacam

mi rimane il cursore lampaggiante, non mi appare alcuna finestra, non mi da errore, rimanendo in questa situazione di stallo all'infinito.
Mi trovo costretto a dare stop con ctrl+c.
Avete qualche idea del perchè?
Avatar utente
vioma
Scoppiettante Seguace
Scoppiettante Seguace
 
Messaggi: 983
Iscrizione: febbraio 2009
Località: Catania
Desktop: Mate, Unity
Distribuzione: Ubuntu dalla 14.04 in poi

Re: Problemi con Eviacam su ubuntu 14.04

Messaggioda Wilson » domenica 18 gennaio 2015, 21:12

Probabilmente non è il modo corretto di avviarlo, a me è apparsa una voce "Enable Viacam" tra i programmi installati (nella dash, insomma), cercandolo e avviandolo mi ha aperto un programma (però non ha funzionato, mi ha dato un messaggio di errore riguardo la webcam)

edit: come non detto: al secondo tentativo funziona a meraviglia (oddio, resta scomodo, sopratutto il clic, però funziona in modo incredibile), inoltre si avvia anche digitando eviacam, quindi deve essere un problema della vostra installazione).

se può essere utile io ho la 14.10, al momento, e ho installato un sacco di librerie nel corso degli anni, può darsi che il pacchetto nel ppa non pretenda tutte le dipendenze necessarie o che si apsetti una nuova versione di qualche libreria.

ps: ma la webcam funziona bene sul loro sistema? sia con Skype che con Cheese?
-- Provate Ubuntu! Innocuo se usato secondo le istruzioni --
Avatar utente
Wilson
Imperturbabile Insigne
Imperturbabile Insigne
 
Messaggi: 3538
Iscrizione: novembre 2005
Località: Torino
Desktop: Unity
Distribuzione: Edubuntu 15.04 x86_64

Re: Problemi con Eviacam su ubuntu 14.04

Messaggioda vioma » lunedì 19 gennaio 2015, 0:40

Si la webcam funziona perfettamente, il programma no.
Avatar utente
vioma
Scoppiettante Seguace
Scoppiettante Seguace
 
Messaggi: 983
Iscrizione: febbraio 2009
Località: Catania
Desktop: Mate, Unity
Distribuzione: Ubuntu dalla 14.04 in poi

Re: Problemi con Eviacam su ubuntu 14.04

Messaggioda Wilson » lunedì 19 gennaio 2015, 2:09

E purtroppo è un programma abbastanza artigianale (alcune traduzioni sono terribili, tipo left è tradotto con "sinistro" e right è tradotto sempre con "sinistro"...) e non riporta codici di errore, molto difficile capire il problema.

Poi provare a installarlo in una live della 14.10 (come la mia): se funziona è probabile che tu possa risolvere con un avanzamento di sistema (se non funziona, facilmente non è quello), cosa immagino non indolore, ma fattibile.

Altrimenti puoi provare a controllare se sono soddisfatte le dipendenze, in un altra pagina riporta:
- Pre-requisites
--------------
wxWidgets >= 2.6
opencv >= 1.0
gtk+-2.0
libxtst
libxext


Puoi provare a controllare se hai tutti i pacchetti corrispondenti (però a me ha preteso i xWidget 3.0, costringendo la rimozione di un altro programma che usava la versione precedente, quindi potrebbero essere i requisiti di una versione vecchia), se ne manca uno cercarlo nei repo.

ps: hai Ubuntu a 64 o 32 bit? (io ho la 64)
-- Provate Ubuntu! Innocuo se usato secondo le istruzioni --
Avatar utente
Wilson
Imperturbabile Insigne
Imperturbabile Insigne
 
Messaggi: 3538
Iscrizione: novembre 2005
Località: Torino
Desktop: Unity
Distribuzione: Edubuntu 15.04 x86_64


Torna a Tecnologie assistive

Chi c’è in linea

Visualizzano questa sezione: 0 utenti registrati e 1 ospite